import './IIdentifiable.dart';

/// Interface for data objects that can be uniquely identifed by a string id.
///
/// The interface extends [IIdentifiable] to hardcode id type to string.
///
/// It is a common pattern to use a string GUID as the id, generated by [IdGenerator].
///
/// See [IIdentifiable]
/// See [IdGenerator]
///
/// ### Example ###
///
///     class MyData implements IStringIdentifiable {
///         String id;
///         String field1;
///         String field2;
///         ...
///     }

abstract class IStringIdentifiable implements IIdentifiable<String> {}
